import request from '@/utils/request'

// 查询参数配置列表
export function listParamconfig(query) {
  return request({
    url: '/plc/paramconfig/list',
    method: 'get',
    params: query
  })
}

// 查询参数配置详细
export function getParamconfig(id) {
  return request({
    url: '/plc/paramconfig/' + id,
    method: 'get'
  })
}

// 新增参数配置
export function addParamconfig(data) {
  return request({
    url: '/plc/paramconfig',
    method: 'post',
    data: data
  })
}

// 修改参数配置
export function updateParamconfig(data) {
  return request({
    url: '/plc/paramconfig',
    method: 'put',
    data: data
  })
}

// 删除参数配置
export function delParamconfig(id) {
  return request({
    url: '/plc/paramconfig/' + id,
    method: 'delete'
  })
}
